Bullet Collision Detection & Physics Library: btOverlappingPairCache Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btOverlappingPairCache Class Referenceabstract

The btOverlappingPairCache provides an interface for overlapping pair management (add, remove, storage), used by the btBroadphaseInterface broadphases. More...

`#include <btOverlappingPairCache.h>`

Inheritance diagram for btOverlappingPairCache:
[legend]
Collaboration diagram for btOverlappingPairCache:
[legend]

## Public Member Functions
virtual | ~btOverlappingPairCache ()
virtual btBroadphasePair * | getOverlappingPairArrayPtr ()=0
virtual const btBroadphasePair * | getOverlappingPairArrayPtr () const =0
virtual btBroadphasePairArray & | getOverlappingPairArray ()=0
virtual void | cleanOverlappingPair (btBroadphasePair &pair, btDispatcher *dispatcher)=0
virtual int | getNumOverlappingPairs () const =0
virtual bool | needsBroadphaseCollision (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1) const =0
virtual btOverlapFilterCallback * | getOverlapFilterCallback ()=0
virtual void | cleanProxyFromPairs (btBroadphaseProxy *proxy, btDispatcher *dispatcher)=0
virtual void | setOverlapFilterCallback (btOverlapFilterCallback *callback)=0
virtual void | processAllOverlappingPairs (btOverlapCallback *, btDispatcher *dispatcher)=0
virtual void | processAllOverlappingPairs (btOverlapCallback *callback, btDispatcher *dispatcher, const struct btDispatcherInfo &)
virtual btBroadphasePair * | findPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)=0
virtual bool | hasDeferredRemoval ()=0
virtual void | setInternalGhostPairCallback (btOverlappingPairCallback *ghostPairCallback)=0
virtual void | sortOverlappingPairs (btDispatcher *dispatcher)=0
Public Member Functions inherited from btOverlappingPairCallback
virtual | ~btOverlappingPairCallback ()
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)=0
virtual void * | removeOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1, btDispatcher *dispatcher)=0
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *proxy0, btDispatcher *dispatcher)=0

## Additional Inherited Members
Protected Member Functions inherited from btOverlappingPairCallback
| btOverlappingPairCallback ()

## Detailed Description

The btOverlappingPairCache provides an interface for overlapping pair management (add, remove, storage), used by the btBroadphaseInterface broadphases.

The btHashedOverlappingPairCache and btSortedOverlappingPairCache classes are two implementations.

Definition at line 50 of file btOverlappingPairCache.h.

## Constructor & Destructor Documentation

## ◆ ~btOverlappingPairCache()

virtual btOverlappingPairCache::~btOverlappingPairCache | ( |  | ) |
| inlinevirtual

Definition at line 53 of file btOverlappingPairCache.h.

## Member Function Documentation

## ◆ cleanOverlappingPair()

virtual void btOverlappingPairCache::cleanOverlappingPair | ( | btBroadphasePair & | pair,
|  | btDispatcher * | dispatcher )
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ cleanProxyFromPairs()

virtual void btOverlappingPairCache::cleanProxyFromPairs | ( | btBroadphaseProxy * | proxy,
|  | btDispatcher * | dispatcher )
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ findPair()

virtual btBroadphasePair * btOverlappingPairCache::findPair | ( | btBroadphaseProxy * | proxy0,
|  | btBroadphaseProxy * | proxy1 )
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ getNumOverlappingPairs()

virtual int btOverlappingPairCache::getNumOverlappingPairs | ( |  | ) | const
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ getOverlapFilterCallback()

virtual btOverlapFilterCallback * btOverlappingPairCache::getOverlapFilterCallback | ( |  | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ getOverlappingPairArray()

virtual btBroadphasePairArray & btOverlappingPairCache::getOverlappingPairArray | ( |  | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ getOverlappingPairArrayPtr() [1/2]

virtual const btBroadphasePair * btOverlappingPairCache::getOverlappingPairArrayPtr | ( |  | ) | const
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ getOverlappingPairArrayPtr() [2/2]

virtual btBroadphasePair * btOverlappingPairCache::getOverlappingPairArrayPtr | ( |  | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ hasDeferredRemoval()

virtual bool btOverlappingPairCache::hasDeferredRemoval | ( |  | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ needsBroadphaseCollision()

virtual bool btOverlappingPairCache::needsBroadphaseCollision | ( | btBroadphaseProxy * | proxy0,
|  | btBroadphaseProxy * | proxy1 ) const
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ processAllOverlappingPairs() [1/2]

virtual void btOverlappingPairCache::processAllOverlappingPairs | ( | btOverlapCallback * | ,
|  | btDispatcher * | dispatcher )
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ processAllOverlappingPairs() [2/2]

virtual void btOverlappingPairCache::processAllOverlappingPairs | ( | btOverlapCallback * | callback,
|  | btDispatcher * | dispatcher,
|  | const struct btDispatcherInfo & | )
| inlinevirtual

Reimplemented in btHashedOverlappingPairCache.

Definition at line 72 of file btOverlappingPairCache.h.

## ◆ setInternalGhostPairCallback()

virtual void btOverlappingPairCache::setInternalGhostPairCallback | ( | btOverlappingPairCallback * | ghostPairCallback | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ setOverlapFilterCallback()

virtual void btOverlappingPairCache::setOverlapFilterCallback | ( | btOverlapFilterCallback * | callback | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ sortOverlappingPairs()

virtual void btOverlappingPairCache::sortOverlappingPairs | ( | btDispatcher * | dispatcher | ) |
| pure virtual

Implemented in btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

The documentation for this class was generated from the following file:

- btOverlappingPairCache.h